%global pkgname jenkinsapi

%if 0%{?fedora} > 12
%global with_python3 1
%else
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%{!?python2_version: %global python2_version %(%{__python2} -c "from sys import stdout, version; stdout.write(version[:3])")}
%endif

Name:           python-jenkinsapi
Version:        0.2.26
Release:        1%{?dist}
Summary:        A Python API for accessing resources on a Jenkins(CI) server

License:        MIT
URL:            https://github.com/salimfadhley/%{pkgname}

Source0:        https://pypi.python.org/packages/source/j/%{pkgname}/%{pkgname}-%{version}.tar.gz
Patch0:         %{name}-0.2.26-python3_script_prefix.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-nose
BuildRequires:  python-requests
BuildRequires:  pytz
Requires:       pytz


%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary:        A Python API for accessing resources on a Jenkins(CI) server
BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-pytz
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
Requires:       python3-pytz
%endif


%description
This library can help you:

 * Query the test-results of a completed build
 * Get a objects representing the latest builds of a job
 * Search for artefacts by simple criteria
 * Block until jobs are complete
 * Install artefacts to custom-specified directory structures
 * username/password auth support for jenkins instances with auth turned on
 * Ability to search for builds by subversion revision
 * Ability to add/remove/query Jenkins slaves
 * Ability to add/remove/modify Jenkins views


%if 0%{?with_python3}
%description -n python3-%{pkgname}
This library can help you:

 * Query the test-results of a completed build
 * Get a objects representing the latest builds of a job
 * Search for artefacts by simple criteria
 * Block until jobs are complete
 * Install artefacts to custom-specified directory structures
 * username/password auth support for jenkins instances with auth turned on
 * Ability to search for builds by subversion revision
 * Ability to add/remove/query Jenkins slaves
 * Ability to add/remove/modify Jenkins views
%endif


%prep
%setup -q -n %{pkgname}-%{version}

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%patch0 -p1 -d %{py3dir}
%endif

find -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd
%endif

 
%files
%doc PKG-INFO
%{_bindir}/jenkins_invoke
%{_bindir}/jenkinsapi_version
%{python2_sitelib}/%{pkgname}/*
%{python2_sitelib}/*.egg-info/*
%{python2_sitelib}/%{pkgname}_tests/*


%files -n python3-%{pkgname}
%doc PKG-INFO
%{_bindir}/python3-jenkins_invoke
%{_bindir}/python3-jenkinsapi_version
%{python3_sitelib}/%{pkgname}/*
%{python3_sitelib}/*.egg-info/*
%{python3_sitelib}/%{pkgname}_tests/*


%changelog
* Sun Feb 01 2015 Scott K Logan <logans@cottsay.net> - 0.2.26-1
- Update to latest source
- Add python3 package

* Fri Jun 13 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2.19-1
- Update to latest source

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Mar 06 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2.18-2
- Added pytz to Requires section

* Mon Mar 03 2014 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> 0.2.18-1
- New Release

* Sat Oct 19 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.16-1
- New Release

* Fri Sep 20 2013 Praveen Kumar <kumarpraveen.nitdgp@gmail.com> - 0.2.13-1
- Initial RPM release
